﻿using UnityEngine;
using UnityEngine.AI;

public class AntAnimator : MonoBehaviour {
	public bool loop;
	public float frameSeconds = 0.4f;
	//The file location of the sprites within the resources folder
	public string location;
	private SpriteRenderer spr;
	public Sprite [] sprites;
	private int frame = 0;
	private float deltaTime = 0;
	private PathFinder pf;
	public bool enemy;




	// Use this for initialization
	void Start () {
		pf = GetComponentInParent<PathFinder> ();
		spr = GetComponent<SpriteRenderer> ();
	}

	// Update is called once per frame
	void Update () {
		//Keep track of the time that has passed
		deltaTime += Time.deltaTime;

		/*Loop to allow for multiple sprite frame 
          jumps in a single update call if needed
          Useful if frameSeconds is very small*/
		if (enemy || pf.getSpeed() > 0.1f) {
			while (deltaTime >= frameSeconds) {
				deltaTime -= frameSeconds;
				frame++;
				if (loop)
					frame %= sprites.Length;
				//Max limit
				else if (frame >= sprites.Length)
					frame = sprites.Length - 1;
			}
			spr.sprite = sprites [frame];
		}
		//Animate sprite with selected frame

	}
}