﻿using UnityEngine;
using UnityEngine.AI;

public class EnemyAnt : AntObject
{
	NavMeshAgent agent;
	int hp;

	public EnemyAnt(Anthill anthill, Vector3 position, int hp) : base(anthill, position)
	{
		this.anthill = anthill;
		this.position = position;
		this.thought = new DangerThought(this);
		this.hp = hp;
	}

	public EnemyAnt(Anthill anthill, GameObject antSprite, Vector3 position, int hp) : base(anthill, antSprite, position)
	{
		this.anthill = anthill;
		this.position = position;
		this.thought = new DangerThought(this);
		this.hp = hp;
	}

	public void takeDamage()
	{
		--hp;
		if (hp <= 0)
		{
			anthill.removeObject(this);
			anthill.removeEnemyAnt(this);
			GameObject.Destroy(sprite);
		}
	}
}
