﻿using UnityEngine;

public class FarmPoint : AntObject
{
	Resource resource;
	private float curCapacity;
	private int farmTypeIndex;

	public FarmPoint(Anthill anthill, GameObject prefab, Vector3 position, int farmTypeIndex = 0) : base(anthill, prefab, position)
	{
		this.farmTypeIndex = farmTypeIndex;
		thought = new FarmThought(this);
	}

	public float farm()
	{
		if (curCapacity > 0)
		{
			setCapacity(curCapacity - 1);
			return 1;
		}
		else
		{
			// farm point exhausted, removing itself from Anthill objects
			anthill.removeObject(this);
			GameObject.Destroy(sprite);
			return 0;
		}
	}

	public Resource getResource()
	{
		return resource;
	}

	public void setResource(Resource resource)
	{
		this.resource = resource;
	}

	public float getCapacity()
	{
		return curCapacity;
	}

	public void setCapacity(float capacity)
	{
		this.curCapacity = capacity;
		if (resource == Resource.Food)
		{
			SpriteRenderer renderer = sprite.GetComponentInChildren <SpriteRenderer> ();
			renderer.sprite = anthill.getFoodSpriteForCapacity(farmTypeIndex, this.curCapacity);
		}
	}
}
