﻿using UnityEngine;
using UnityEngine.AI;

public class PathFinder : MonoBehaviour
{
	private Vector3 goal;
	public GameObject cargo;
	SpriteRenderer cargoS;
	public Sprite spriteFood;
	public Sprite spriteMat;

	NavMeshAgent agent;
	private float interactionRange = 1.8f;

	private float curSpeed;
	private Vector3 previousPosition;
	Resource res;


	public float getSpeed()
	{
		return curSpeed;
	}

	void Start()
	{
		cargoS = (SpriteRenderer)cargo.GetComponent<SpriteRenderer> ();	
		agent = GetComponent<NavMeshAgent>();
		goal = gameObject.transform.position;
		agent.destination = goal;
	}

	void Update()
	{
		Vector3 curMove = transform.position - previousPosition;
		curSpeed = curMove.magnitude / Time.deltaTime;
		previousPosition = transform.position;

	}

	public Vector3 getGoal()
	{
		return goal;
	}

	public void setGoal(Vector3 newGoal)
	{
		if (newGoal != goal)
		{
			goal = newGoal;
			agent.destination = goal;
		}
	}

	public bool hasReachedTarget()
	{
		if (!agent.pathPending)
		{
			if (agent.remainingDistance<2f && agent.velocity.sqrMagnitude<0.5f)
			{
					return true;
			}
		}
		return false;
	}

	public void setResource(Resource resource)
	{
		res = resource;
		if (resource == Resource.Food)
			cargoS.sprite = spriteFood;
		else if (resource == Resource.Material)
			cargoS.sprite = spriteMat;
		else
			cargoS.sprite = null;
	}
}
